/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.websocket.ee.javax.websocket.remoteendpoint.async;

public class ThrowingStringBean {
	public static final String ERROR = "TCK Exception thrown to check ExecutionException";

	public String get() {
		throw new IllegalStateException(ERROR);
	}

	public void set(String bean) {
	}

	@Override
	public String toString() {
		return super.toString() + " to get a value, use get()";
	}
}
